Plesk\backup\Agent\Schema\Backup\MigrationDump\MigrationDumpAType:
    properties:
        agentName:
            expose: true
            access_type: public_method
            serialized_name: agent-name
            accessor:
                getter: getAgentName
                setter: setAgentName
            xml_attribute: true
            type: string
        dumpVersion:
            expose: true
            access_type: public_method
            serialized_name: dump-version
            accessor:
                getter: getDumpVersion
                setter: setDumpVersion
            xml_attribute: true
            type: string
        dumpOriginalVersion:
            expose: true
            access_type: public_method
            serialized_name: dump-original-version
            accessor:
                getter: getDumpOriginalVersion
                setter: setDumpOriginalVersion
            xml_attribute: true
            type: string
        base:
            expose: true
            access_type: public_method
            serialized_name: base
            accessor:
                getter: getBase
                setter: setBase
            xml_attribute: true
            type: string
        contentIncluded:
            expose: true
            access_type: public_method
            serialized_name: content-included
            accessor:
                getter: getContentIncluded
                setter: setContentIncluded
            xml_attribute: true
            type: string
        dumpFormat:
            expose: true
            access_type: public_method
            serialized_name: dump-format
            accessor:
                getter: getDumpFormat
                setter: setDumpFormat
            xml_attribute: true
            type: string
        verificationString:
            expose: true
            access_type: public_method
            serialized_name: verification-string
            accessor:
                getter: getVerificationString
                setter: setVerificationString
            xml_attribute: true
            type: string
        encryptionType:
            expose: true
            access_type: public_method
            serialized_name: encryption-type
            accessor:
                getter: getEncryptionType
                setter: setEncryptionType
            xml_attribute: true
            type: string
        dumpInfo:
            expose: true
            access_type: public_method
            serialized_name: dump-info
            xml_element:
                cdata: false
            accessor:
                getter: getDumpInfo
                setter: setDumpInfo
            type: Plesk\backup\Agent\Schema\Backup\DumpInfo
        admin:
            expose: true
            access_type: public_method
            serialized_name: admin
            xml_element:
                cdata: false
            accessor:
                getter: getAdmin
                setter: setAdmin
            type: Plesk\backup\Agent\Schema\Backup\Admin
        reseller:
            expose: true
            access_type: public_method
            serialized_name: reseller
            xml_element:
                cdata: false
            accessor:
                getter: getReseller
                setter: setReseller
            xml_list:
                inline: true
                entry_name: reseller
            type: array<Plesk\backup\Agent\Schema\Backup\Reseller>
        client:
            expose: true
            access_type: public_method
            serialized_name: client
            xml_element:
                cdata: false
            accessor:
                getter: getClient
                setter: setClient
            xml_list:
                inline: true
                entry_name: client
            type: array<Plesk\backup\Agent\Schema\Backup\Client>
        domain:
            expose: true
            access_type: public_method
            serialized_name: domain
            xml_element:
                cdata: false
            accessor:
                getter: getDomain
                setter: setDomain
            xml_list:
                inline: true
                entry_name: domain
            type: array<Plesk\backup\Agent\Schema\Backup\Domain>
        mailuser:
            expose: true
            access_type: public_method
            serialized_name: mailuser
            xml_element:
                cdata: false
            accessor:
                getter: getMailuser
                setter: setMailuser
            xml_list:
                inline: true
                entry_name: mailuser
            type: array<Plesk\backup\Agent\Schema\Backup\Mailuser>
        role:
            expose: true
            access_type: public_method
            serialized_name: role
            xml_element:
                cdata: false
            accessor:
                getter: getRole
                setter: setRole
            xml_list:
                inline: true
                entry_name: role
            type: array<Plesk\backup\Agent\Schema\Backup\Role>
        user:
            expose: true
            access_type: public_method
            serialized_name: user
            xml_element:
                cdata: false
            accessor:
                getter: getUser
                setter: setUser
            xml_list:
                inline: true
                entry_name: user
            type: array<Plesk\backup\Agent\Schema\Backup\User>
        database:
            expose: true
            access_type: public_method
            serialized_name: database
            xml_element:
                cdata: false
            accessor:
                getter: getDatabase
                setter: setDatabase
            xml_list:
                inline: true
                entry_name: database
            type: array<Plesk\backup\Agent\Schema\Backup\Database>
        phosting:
            expose: true
            access_type: public_method
            serialized_name: phosting
            xml_element:
                cdata: false
            accessor:
                getter: getPhosting
                setter: setPhosting
            xml_list:
                inline: true
                entry_name: phosting
            type: array<Plesk\backup\Agent\Schema\Backup\Phosting>
        server:
            expose: true
            access_type: public_method
            serialized_name: server
            xml_element:
                cdata: false
            accessor:
                getter: getServer
                setter: setServer
            type: Plesk\backup\Agent\Schema\Backup\Server
